Name:          libsoc
Version:       0.7.1
Release:       1%{?dist}
Summary:       Interface with common SoC peripherals through generic kernel interfaces 

Group:         System Environment/Libraries
License:       LGPLv2+
URL:           https://github.com/jackmitch/libsoc
Source0:       https://github.com/jackmitch/libsoc/archive/%{version}.tar.gz

BuildRequires: libtool autoconf automake

%description
libsoc is a C library for interfacing with common SoC peripherals through 
generic kernel interfaces.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
autoreconf -vif
%configure --disable-static --with-board-configs

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README AUTHORS NEWS
%{_libdir}/*.so.*
%{_datadir}/libsoc

%files devel
%{_includedir}/libsoc*
%{_libdir}/pkgconfig/libsoc.pc
%{_libdir}/*.so

%changelog
* Mon Dec 14 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.1-1
- Update to 0.7.1

* Sat Nov  7 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.7-1
- Update to 0.7

* Tue Oct 20 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.5-1
- Initial package
